<form
  [formGroup]="scratchboardForm"
  (ngSubmit)="checkAvailability()"
  *ngIf="showForm"
  class="mat-elevation-z8"
>
  <h3>Scratchboard</h3>
  <mat-form-field appearance="outline">
    <mat-label>SCRATCHBOARD</mat-label>
    <textarea
      (keydown.space)="$event.preventDefault()"
      matInput
      formControlName="domains"
      cdkTextareaAutosize
      cdkAutosizeMinRows="7"
      cdkAutosizeMaxRows="7"
      (keyup)="updateSavedDomains()"
    ></textarea>
    <mat-hint>Auto-saves your domains locally!</mat-hint>
  </mat-form-field>
  <div class="buttons">
    <button mat-flat-button color="primary">Check</button>
    <button
      mat-flat-button
      color="warn"
      (click)="clearScratchboard()"
      type="button"
    >
      Clear
    </button>
  </div>
</form>
